
//Program to control a strepper motor with atmega328p.
// By Francis Lance april 2019.
#include <Stepper.h>

const int stepsPerRevolution = 48;  // Ajust the right number of steps per revolution
int numberOfRevolution = 10; // Number of revolution you want
Stepper myStepper(stepsPerRevolution, 8, 9, 10, 11); // Create a stepper motor. 

//Setup loop
void setup() { 
  
  myStepper.setSpeed(100); // Set the speed in RPM
}

// main loop
void loop() {
  
  myStepper.step(numberOfRevolution*stepsPerRevolution); // Calculates and takes the number of steps necessary to make the desired number of turns in the clockwise direction (+)
  delay(500);
  myStepper.step(-(numberOfRevolution*stepsPerRevolution)); // Calculates and takes the number of steps necessary to make the desired number of turns in the clockwise direction (-)
  delay(500);
}
